'use strict'
import React, {Component} from 'react'
import {Platform} from 'react-native'
import {createStackNavigator} from 'react-navigation-stack'
import NavigationOptions from '../../components/NavbarOptions'

import Login from './login'

const TITLE_OFFSET = Platform.OS === 'ios' ? 70 : 56;

const Outside = createStackNavigator({
        Login: {
            screen: Login,
            navigationOptions: {
                title: '装集客App',
            }
        },
    },
    {
        defaultNavigationOptions: NavigationOptions,
    })
Outside.navigationOptions = ({navigation}) => {  // ~注意~ 如果想实现隐藏Tabbar的功能要调用这个方法
    let tabBarVisible = true
    if (navigation.state.index > 0) {
        tabBarVisible = false
    }
    return {
        tabBarVisible
    }
}
module.exports = Outside
